HeaderStyle (JGoodies Looks 2.6 API)
Date: 2015-01-03

com.jgoodies.looks

## Class HeaderStyle

- java.lang.Object
- - com.jgoodies.looks.HeaderStyle

-     public final class HeaderStyle
      extends Object

  Describes the header styles for JMenuBar and JToolBar. Header styles are look-independent and can be shadowed by a look-dependent `BorderStyle`.
  Version:
    $Revision: 1.9 $
  Author:
    Karsten Lentzsch
  See Also:
    `BorderStyle`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static HeaderStyle` | `BOTH`
    `static HeaderStyle` | `SINGLE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HeaderStyle` | `from(JMenuBar menuBar)` Looks up the client property for the `HeaderStyle` from the JToolBar.
    `static HeaderStyle` | `from(JToolBar toolBar)` Looks up the client property for the `HeaderStyle` from the JToolBar.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SINGLE

          public static final HeaderStyle SINGLE

    - #### BOTH

          public static final HeaderStyle BOTH

  - ### Method Detail

    - #### from

          public static HeaderStyle from(JMenuBar menuBar)

      Looks up the client property for the `HeaderStyle` from the JToolBar.
      Parameters:
        `menuBar` - the menu bar to inspect
      Returns:
        the menu bar's header style

    - #### from

          public static HeaderStyle from(JToolBar toolBar)

      Looks up the client property for the `HeaderStyle` from the JToolBar.
      Parameters:
        `toolBar` - the tool bar to inspect
      Returns:
        the tool bar's header style

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001-2014 JGoodies Software GmbH. All Rights Reserved.